/*
 * rtc.h
 *
 *  Created on: Apr 10, 2021
 *      Author: xavie
 */

#ifndef INC_RTC_H_
#define INC_RTC_H_

#include <time.h>

uint8_t get_weekday( RTC_DateTypeDef sDate );
uint8_t now( struct tm *tm );
void set_time( uint8_t dd, uint8_t mm, uint8_t yy, uint8_t hh, uint8_t min, uint8_t sec);
void get_alarmA_time( int *hr, int *min );
void get_time(void);
void set_alarm( uint8_t hour, uint8_t min, uint8_t wday );


#endif /* INC_RTC_H_ */
